# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate config

Name:           rust-%{crate}
Version:        0.9.0
Release:        2%{?dist}
Summary:        Layered configuration system for Rust applications

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/config
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No hjson support, that crate is outdated
Patch0:         config-0.9.0-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(lazy_static) >= 1.0.0 with crate(lazy_static) < 2.0.0)
BuildRequires:  (crate(nom) >= 4.0.0 with crate(nom) < 5.0.0)
BuildRequires:  (crate(rust-ini) >= 0.12.0 with crate(rust-ini) < 0.13.0)
BuildRequires:  (crate(serde) >= 1.0.8 with crate(serde) < 2.0.0)
BuildRequires:  (crate(serde_json) >= 1.0.2 with crate(serde_json) < 2.0.0)
BuildRequires:  (crate(toml) >= 0.4.1 with crate(toml) < 0.5.0)
BuildRequires:  (crate(yaml-rust) >= 0.4.0 with crate(yaml-rust) < 0.5.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  ((crate(chrono) >= 0.4.0 with crate(chrono) < 0.5.0) with crate(chrono/serde))
BuildRequires:  (crate(float-cmp) >= 0.4.0 with crate(float-cmp) < 0.5.0)
BuildRequires:  (crate(serde_derive) >= 1.0.8 with crate(serde_derive) < 2.0.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
Layered configuration system for Rust applications.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# https://github.com/mehcode/config-rs/issues/75
%cargo_test || :
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jul 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-1
- Initial package
